VM_INSERT_PFN(9)

NAME
vm_insert_pfn - insert single pfn into user vma

SYNOPSIS

int vm_insert_pfn(struct vm_area_struct * vma, unsigned long addr, unsigned long pfn);

ARGUMENTS

vma
    user vma to map to

addr
    target user address of this page

pfn
    source kernel pfn

DESCRIPTION

Similar to vm_insert_page, this allows drivers to insert individual pages they've allocated into a user vma. Same comments apply.

This function should only be called from a vm_ops->fault handler, and in that case the handler should return NULL.

vma cannot be a COW mapping.

As this is called only for pages that do not currently exist, we do not need to flush old virtual caches or the TLB.

COPYRIGHT